Tree view is too cluttered due to showing all the attributes; hard to see the overall tree structure
The tree view in inspector puts all the attributes into the view, which makes it fairly hard to see the tree structure in many cases. For comparison, the DOM inspector shows the actual tree structure, just the nodeName, and allows adding optional columns to see things like id, class, localName, etc. Attribute  except for class and id are in a separate panel once you select the element you care about.
